(window["webpackJsonp"] = window["webpackJsonp"] || []).push([["default~pages-precedent-precedent-module~pages-related-precedent-related-precedent-module~pages-sear~b0d30ed2"],{

/***/ "./src/app/services/api/api.service.ts":
/*!*********************************************!*\
  !*** ./src/app/services/api/api.service.ts ***!
  \*********************************************/
/*! exports provided: ApiService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ApiService", function() { return ApiService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _ionic_native_http_ngx__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @ionic-native/http/ngx */ "./node_modules/@ionic-native/http/ngx/index.js");
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../constants */ "./src/app/constants.ts");




var ApiService = /** @class */ (function () {
    function ApiService(http) {
        this.http = http;
    }
    ApiService.prototype.getPrecedentByRelated = function (lawName, lawNum) {
        var url = encodeURI('http://androppowebsite.azurewebsites.net/HanreiJson.aspx?mode=list&lawname=' + lawName + '&artno=' + lawNum);
        var params = {};
        var headers = { 'Content-Type': 'application/json' };
        return this.http.get(url, params, headers);
    };
    ApiService.prototype.getPrecedentByKeyword = function (keyword) {
        var url = encodeURI('http://androppowebsite.azurewebsites.net/HanreiJson.aspx?mode=keyword&artno=0&lowname=&word=' + keyword);
        var params = {};
        var headers = { 'Content-Type': 'application/json' };
        return this.http.get(url, params, headers);
    };
    ApiService.prototype.getPrecedent = function (summaryId) {
        var url = encodeURI('http://androppowebsite.azurewebsites.net/HanreiJson.aspx?mode=detail&sumid=' + summaryId);
        var params = {};
        var headers = { 'Content-Type': 'application/json' };
        return this.http.get(url, params, headers);
    };
    ApiService.prototype.getLawList = function () {
        var url = encodeURI('https://elaws.e-gov.go.jp/api/1/lawlists/1');
        var params = {};
        var headers = { 'Content-Type': 'application/xml' };
        return this.http.get(url, params, headers);
    };
    ApiService.prototype.getLawListFromAssets = function () {
        return new Promise(function (resolve) {
            var url = 'assets/xml/lawlist.xml';
            fetch(url)
                .then(function (response) { return response.text(); })
                .then(function (xmlString) { return resolve(xmlString); });
        });
    };
    ApiService.prototype.verifyReceipt = function (receipt) {
        var url = encodeURI(_constants__WEBPACK_IMPORTED_MODULE_3__["IAP_VERIFY_RECEIPT"]);
        var params = {
            'password': _constants__WEBPACK_IMPORTED_MODULE_3__["IAP_SHARED_SECRET"],
            'receipt-data': receipt,
            'exclude-old-transactions': 'true'
        };
        var headers = { 'Content-Type': 'application/json' };
        this.http.setDataSerializer('json');
        return this.http.post(url, params, headers);
    };
    ApiService = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
            providedIn: 'root'
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_ionic_native_http_ngx__WEBPACK_IMPORTED_MODULE_2__["HTTP"]])
    ], ApiService);
    return ApiService;
}());



/***/ }),

/***/ "./src/app/services/translator/translator.service.ts":
/*!***********************************************************!*\
  !*** ./src/app/services/translator/translator.service.ts ***!
  \***********************************************************/
/*! exports provided: TranslatorService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "TranslatorService", function() { return TranslatorService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _ngx_translate_core__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @ngx-translate/core */ "./node_modules/@ngx-translate/core/fesm5/ngx-translate-core.js");
/* harmony import */ var _constants__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ../../constants */ "./src/app/constants.ts");




var TranslatorService = /** @class */ (function () {
    function TranslatorService(translateService) {
        this.translateService = translateService;
        this.translateService.setDefaultLang(_constants__WEBPACK_IMPORTED_MODULE_3__["DEFAULT_LANG"]);
        this.translateService.use(this.translateService.getBrowserLang());
    }
    TranslatorService.prototype.get = function (key, options) {
        var _this = this;
        if (options === void 0) { options = {}; }
        return new Promise(function (resolve) {
            _this.translateService.get(key, options).subscribe(function (value) { return resolve(value); }, function (error) { return resolve(key); }, function () { return resolve(key); });
        });
    };
    TranslatorService = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
            providedIn: 'root'
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_ngx_translate_core__WEBPACK_IMPORTED_MODULE_2__["TranslateService"]])
    ], TranslatorService);
    return TranslatorService;
}());



/***/ }),

/***/ "./src/app/services/ui/ui.service.ts":
/*!*******************************************!*\
  !*** ./src/app/services/ui/ui.service.ts ***!
  \*******************************************/
/*! exports provided: UiService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "UiService", function() { return UiService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");
/* harmony import */ var _ionic_angular__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! @ionic/angular */ "./node_modules/@ionic/angular/dist/fesm5.js");




var UiService = /** @class */ (function () {
    function UiService(loadingController, toastController) {
        this.loadingController = loadingController;
        this.toastController = toastController;
    }
    UiService.prototype.presentLoading = function () {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            var loading;
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                switch (_a.label) {
                    case 0:
                        this.dismissLoading();
                        return [4 /*yield*/, this.loadingController.create({
                                id: 'UiService',
                                keyboardClose: true
                            })];
                    case 1:
                        loading = _a.sent();
                        loading.present();
                        return [2 /*return*/];
                }
            });
        });
    };
    UiService.prototype.presentLoadingWithMessage = function (message) {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            var loading;
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                switch (_a.label) {
                    case 0:
                        this.dismissLoading();
                        return [4 /*yield*/, this.loadingController.create({
                                id: 'UiService',
                                message: message,
                                keyboardClose: true
                            })];
                    case 1:
                        loading = _a.sent();
                        loading.present();
                        return [2 /*return*/];
                }
            });
        });
    };
    UiService.prototype.dismissLoading = function () {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                switch (_a.label) {
                    case 0: return [4 /*yield*/, this.loadingController.dismiss(null, null, 'UiService')];
                    case 1:
                        _a.sent();
                        return [2 /*return*/];
                }
            });
        });
    };
    UiService.prototype.showToast = function (message) {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            var toast;
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                switch (_a.label) {
                    case 0:
                        this.dismissLoading();
                        return [4 /*yield*/, this.toastController.create({
                                message: message,
                                duration: 2000
                            })];
                    case 1:
                        toast = _a.sent();
                        toast.present();
                        return [2 /*return*/];
                }
            });
        });
    };
    UiService.prototype.showToastLongDuration = function (message) {
        return tslib__WEBPACK_IMPORTED_MODULE_0__["__awaiter"](this, void 0, void 0, function () {
            var toast;
            return tslib__WEBPACK_IMPORTED_MODULE_0__["__generator"](this, function (_a) {
                switch (_a.label) {
                    case 0:
                        this.dismissLoading();
                        return [4 /*yield*/, this.toastController.create({
                                message: message,
                                duration: 3500
                            })];
                    case 1:
                        toast = _a.sent();
                        toast.present();
                        return [2 /*return*/];
                }
            });
        });
    };
    UiService = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
            providedIn: 'root'
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [_ionic_angular__WEBPACK_IMPORTED_MODULE_2__["LoadingController"],
            _ionic_angular__WEBPACK_IMPORTED_MODULE_2__["ToastController"]])
    ], UiService);
    return UiService;
}());



/***/ }),

/***/ "./src/app/services/wareki/wareki.service.ts":
/*!***************************************************!*\
  !*** ./src/app/services/wareki/wareki.service.ts ***!
  \***************************************************/
/*! exports provided: WarekiService */
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "WarekiService", function() { return WarekiService; });
/* harmony import */ var tslib__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! tslib */ "./node_modules/tslib/tslib.es6.js");
/* harmony import */ var _angular_core__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! @angular/core */ "./node_modules/@angular/core/fesm5/core.js");


var WarekiService = /** @class */ (function () {
    function WarekiService() {
    }
    WarekiService.prototype.calc = function (value) {
        var d = new Date(value);
        // 和暦の元年のはじまり
        var w = {
            '令和': '2019/05/01',
            '平成': '1989/01/08',
            '昭和': '1926/12/25',
            '大正': '1912/07/30',
            '明治': '1868/01/25'
        };
        // 慶応以前は表示させない
        if (d < new Date(w['明治'])) {
            // return '令和、平成、昭和、大正、明治以外は表示不可';
            return '';
        }
        var y = d.getFullYear();
        var o = { year: 'numeric', month: 'long', day: 'numeric' };
        var r = d.toLocaleDateString('ja-JP-u-ca-japanese', o);
        if (r === 'Invalid Date') {
            return '';
        }
        if (d >= new Date(w['令和'])) {
            return '令和' + r;
        }
        else if (d >= new Date(w['平成'])) {
            return '平成' + r;
        }
        else if (d >= new Date(w['昭和'])) {
            return '昭和' + r;
        }
        else if (d >= new Date(w['大正'])) {
            return '大正' + r;
        }
        else if (d >= new Date(w['明治'])) {
            return '明治' + r;
        }
    };
    WarekiService.prototype.calcYear = function (value) {
        var d = new Date('1/1/' + value);
        // 和暦の元年のはじまり
        var w = {
            '令和': '2019/05/01',
            '平成': '1989/01/08',
            '昭和': '1926/12/25',
            '大正': '1912/07/30',
            '明治': '1868/01/25'
        };
        // 慶応以前は表示させない
        if (d < new Date(w['明治'])) {
            // return '令和、平成、昭和、大正、明治以外は表示不可';
            return '';
        }
        var y = d.getFullYear();
        var o = { year: 'numeric' };
        var r = d.toLocaleDateString('ja-JP-u-ca-japanese', o);
        if (r === 'Invalid Date') {
            return '';
        }
        if (d >= new Date(w['令和'])) {
            return '令和' + r;
        }
        else if (d >= new Date(w['平成'])) {
            return '平成' + r;
        }
        else if (d >= new Date(w['昭和'])) {
            return '昭和' + r;
        }
        else if (d >= new Date(w['大正'])) {
            return '大正' + r;
        }
        else if (d >= new Date(w['明治'])) {
            return '明治' + r;
        }
    };
    WarekiService = tslib__WEBPACK_IMPORTED_MODULE_0__["__decorate"]([
        Object(_angular_core__WEBPACK_IMPORTED_MODULE_1__["Injectable"])({
            providedIn: 'root'
        }),
        tslib__WEBPACK_IMPORTED_MODULE_0__["__metadata"]("design:paramtypes", [])
    ], WarekiService);
    return WarekiService;
}());



/***/ })

}]);
//# sourceMappingURL=default~pages-precedent-precedent-module~pages-related-precedent-related-precedent-module~pages-sear~b0d30ed2.js.map